package com.bcxin.ins.third.gzzrx.taibao.util;

public enum TransType {

	EPIC_BA {public String getValue(){return "150040";} public String getName(){return "太保报案接口";}},
	TB_BA {public String getValue(){return "300017";} public String getName(){return "太保通用报案接口";}},

	EPIC_AJCX {public String getValue(){return "150041";} public String getName(){return "太保案件查询接口";}},
	TB_AJCX {public String getValue(){return "300019";} public String getName(){return "理赔结果查询接口";}},

	EPIC_YXSC {public String getValue(){return "120120";} public String getName(){return "太保影像上传接口";}},
	TB_YXSC {public String getValue(){return "300018";} public String getName(){return "影像上传接口";}};

    public abstract String getValue();
    
    public abstract String getName();

	public static String getAlias(String value){
		for(TransType e : TransType.values()){
			if(e.getValue().equals(value)){
				return e.getName();
			}
		}
		return "";
	}
}
